<!--- 
	csw-readmore-pageindex-rh.cfm
	
	This is a pageindex render handler that is setup up to show/hide all or 
	part of the pageindex content with a 'more' link to reveal what is hidden

	https://github.com/jedfoster/Readmore.js	
	
	Version: [2018-01-09 17:51]	
--->
<cfscript>
	// Create the Read More PageIndex Component
	csWidget = CreateObject('component','_cs_widgets.csw-readmore.renderhandlers.csw-readmore-pageindex');

	// load necessary resources
	csWidget.loadResources();

	// exit if all we're doing is detecting required resources
	if ( Request.RenderState.RenderMode EQ "getResources" )
		exit;

	if ( NOT structKeyExists(attributes,'elementinfo') )
		exit;

	// Load the Properties from the metadata form
	props = csWidget.loadProperties(Attributes.ElementInfo,Variables.Caller);

	// Make sure we have Props data
	if( NOT csWidget.hasProperties(props) )
		exit;

	// Render the PageIndex items
	if( StructKeyExists(Attributes.ElementInfo.ElementData, 'Items') )
		csWidget.renderPageIndex(Attributes.ElementInfo, props, request.element.id );
</cfscript>
