<!--- 
	csw-readmore-container-rh.cfm
	
	This is a custom container render handler that is setup up to show/hide all or
	part of the container contents with a 'more' link to reveal what is hidden

	https://github.com/jedfoster/Readmore.js
		
	Version: [2018-01-09 16:30]
--->
<cfscript>
	// Create the Read More Container Component
	csWidget = CreateObject('component','_cs_widgets.csw-readmore.renderhandlers.csw-readmore-container');

	// load necessary resources
	csWidget.loadResources();

	// exit if all we're doing is detecting required resources
	if ( Request.RenderState.RenderMode EQ "getResources" )
		exit;

	if ( NOT structKeyExists(attributes,'elementinfo') )
		exit;

	// Load the Properties from the metadata form
	props = csWidget.loadProperties(Attributes.ElementInfo,Variables.Caller);

	// Make sure we have Props data
	if( NOT csWidget.hasProperties(props) )
		exit;

	// Render the Container
	csWidget.RenderContainer(Attributes.ElementInfo, props, request.element.id );
</cfscript>